QRコード
GET https://aka.so/api/qr-codes/
curl --request GET \
--url 'https://aka.so/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://aka.so/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| パラメーター | 詳細 | 説明 |
|---|---|---|
| search | 任意 文字列 | 検索文字列 |
| search_by | 任意 文字列 | 検索対象のフィールドを指定してください。指定可能な値は name です。 |
| type | 任意 文字列 | 検索対象のフィールドを指定してください。指定可能な値は text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix です。 |
| datetime_field | 任意 文字列 | 有効な値: datetime, last_datetime |
| datetime_start | 任意 文字列 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 任意 文字列 | この日時までの結果をフィルタリングします。Y-m-d H:i:s 形式。 |
| order_by | 任意 文字列 | 結果を並べ替えるフィールド。指定可能な値: qr_code_id, datetime, last_datetime, name, type |
| order_type | 任意 文字列 | 結果のソート順。指定可能な値は、昇順の場合はASC、降順の場合はDESCです。 |
| page | 任意 整数 | 結果を取得するページ番号。デフォルトは1です。 |
| results_per_page | 任意 整数 | 1ページあたりの表示件数。指定可能な値: 10, 25, 50, 100, 250, 500, 1000。デフォルト値: 25。 |
{
"data": [
{
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://aka.so/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-10-18 08:49:25",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://aka.so/api/qr-codes?page=1",
"last": "https://aka.so/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://aka.so/api/qr-codes?page=1"
}
}
GET https://aka.so/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://aka.so/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://aka.so/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://aka.so/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-10-18 08:49:25",
}
}
POST https://aka.so/api/qr-codes
| パラメーター | 詳細 | 説明 |
|---|---|---|
curl --request POST \
--url 'https://aka.so/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://aka.so/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1
}
}
POST https://aka.so/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://aka.so/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://aka.so/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://aka.so/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://aka.so/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://aka.so/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \